/***************************************************************************
 *   Copyright (C) 2007 by Andrea Moro   *
 *   andrea_moro@email.it   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/
#include <QtGui>
#include "startOpt.h"
#include "mainWindow.h"

startOpt::startOpt(mainWindow *main)
{
	setupUi(this);
	connect(applyButton,SIGNAL(clicked()),this,SLOT(apply()));
	mw=main;
	sample_text->setCheckState(mw->options.start_opt.sample_text?(Qt::Checked):(Qt::Unchecked));
}

void startOpt::apply()
{
	mw->options.start_opt.sample_text=sample_text->checkState()==Qt::Checked?true:false;
	close();
}

#include "startOpt.moc"
