/***************************************************************************
 *   Copyright (C) 2007 by apterium   *
 *   apterium@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __LIB_ANALYSIS_CONFIGURATION_H
#define __LIB_ANALYSIS_CONFIGURATION_H

namespace libAnalysis
{
	/**
	 * Configuration of the libAnalysis. That is, contains many values the
	 * user may desire to custom. Targeted use is to design global, hardware
	 * specific, values designed to obtain the fastest algorithm
	 * available. For example, such a class may define the number of threads
	 * allowed on a parallel architecture, the bitsize limit around which
	 * some algorithm become faster than other, etc.
	 *
	 * @author
	 */
	class Configuration
	{
	public:
		
		//static.int TRANSISITON_FACTORING_BRUTEFORCE_ECM
		
		//static int THREAD_NUMBER
		
		
		
		
		
		
	};	
	
} //namespace libAnalysis

#endif //__LIB_ANALYSIS_CONFIGURATION_H
